<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.AccessFacePushRecordsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="accessFacePushRecordsResultMap" type="org.springblade.estate.entity.AccessFacePushRecords">
        <id column="l_id" property="lId"/>
        <result column="access_user_type" property="iAccessUserType"/>
        <result column="device_id" property="deviceId"/>
        <result column="user_id" property="userId"/>
        <result column="face_uri" property="faceUri"/>
        <result column="begin_date" property="beginDate"/>
        <result column="end_date" property="endDate"/>
        <result column="access_date" property="accessDate"/>
        <result column="enable" property="enable"/>
        <result column="create_date" property="createDate"/>
        <result column="send_device_type" property="sendDeviceType"/>
    </resultMap>


    <select id="selectAccessFacePushRecordsPage" resultMap="accessFacePushRecordsResultMap">
        select * from estate_access_face_push_records where is_deleted = 0
    </select>

</mapper>
